Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug
Bug#: 16946
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Aron Griffis (RETIRED) <agriffis@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Robert Gill <gillr@apozem.org>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 16946 depends on: Show dependency tree
Bug 16946 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2003-03-06 02:20 0000
When emerging w3m-0.4 it's possible for the echo commands to become out of sync
with the configure script when the gpm USE flag is disabled.  The following
patch provides a fix.

--- /usr/portage/net-www/w3m/w3m-0.4.ebuild	2003-03-05 09:51:16.000000000 -0800
+++ w3m-0.4.ebuild	2003-03-05 23:18:51.000000000 -0800
@@ -77,7 +77,7 @@
 		# Do you want color ESC sequence for Kterm/pxvt
 		echo y
 		# Use mouse (requires xterm/kterm/gpm/sysmouse) 
-		use gpm &>/dev/null && echo y
+		use gpm &>/dev/null && echo y || echo n
 		# Use popup menu
 		echo y
 		# Use cookie 

Reproducible: Always
Steps to Reproduce:
1.
2.
3.

------- Comment #1 From Aron Griffis (RETIRED) 2003-03-07 22:15:54 0000 -------
Thanks, it's fixed in cvs now.  Did you get the "configure out of sync; ebuild
needs an update" message?  I put it in there to catch exactly this kind of
thing... :-|

------- Comment #2 From Robert Gill 2003-03-08 00:52:51 0000 -------
Yep, the "configure out of sync" message worked.

Bug List: (This bug is not in your last search results)   Show last search results      Search page      Enter new bug